import { Component } from '@angular/core';
import { 
  IonHeader, IonToolbar, IonTitle, IonButtons, IonButton, 
  IonIcon, IonBadge, IonContent, IonAvatar, IonSegment, 
  IonSegmentButton, IonLabel, IonCard, IonCardHeader, 
  IonCardTitle, IonCardSubtitle, IonCardContent, IonGrid, 
  IonRow, IonCol
} from '@ionic/angular/standalone';
import { addIcons } from 'ionicons';
import { 
  cartOutline, searchOutline, flashOutline, arrowForward,
  personCircle, walletOutline, pulseOutline, diamondOutline,
  giftOutline, trophyOutline, nutritionOutline, barbell,
  headset, calendar
} from 'ionicons/icons';

@Component({
  selector: 'app-tab3',
  templateUrl: './tab3.page.html',
  styleUrls: ['./tab3.page.scss'],
  standalone: true,
  imports: [
    IonHeader, IonToolbar, IonTitle, IonButtons, IonButton, 
    IonIcon, IonBadge, IonContent, IonAvatar, IonSegment, 
    IonSegmentButton, IonLabel, IonCard, IonCardHeader, 
    IonCardTitle, IonCardSubtitle, IonCardContent, IonGrid, 
    IonRow, IonCol
  ]
})
export class Tab3Page {
  constructor() {
    addIcons({
      cartOutline, searchOutline, flashOutline, arrowForward,
      personCircle, walletOutline, pulseOutline, diamondOutline,
      giftOutline, trophyOutline, nutritionOutline, barbell,
      headset, calendar
    });
  }
}